tigase.net

## Class SocketThread

- java.lang.Object
- - tigase.net.SocketThread

- All Implemented Interfaces:
    Runnable

      public class SocketThread
      extends Object
      implements Runnable

  Describe class SocketThread here. Created: Mon Jan 30 12:01:17 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `SocketThread.ResultsListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEF_MAX_THREADS_PER_CPU` Field description

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addSocketService(IOService<?> s)` Method description
    `void` | `addSocketServicePriv(IOService<?> s)` Method description
    `static void` | `removeSocketService(IOService<Object> s)` Method description
    `void` | `run()` Describe `run` method here.
    `void` | `setMaxThread(int threads)` Method description
    `void` | `setMaxThreadPerCPU(int threads)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEF_MAX_THREADS_PER_CPU

          public static final int DEF_MAX_THREADS_PER_CPU

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addSocketService

          public static void addSocketService(IOService<?> s)

      Method description
      Parameters:
        `s` -

    - #### removeSocketService

          public static void removeSocketService(IOService<Object> s)

      Method description
      Parameters:
        `s` -

    - #### addSocketServicePriv

          public void addSocketServicePriv(IOService<?> s)

      Method description
      Parameters:
        `s` -

    - #### run

          public void run()

      Describe `run` method here.
      Specified by:
        `run` in interface `Runnable`

    - #### setMaxThread

          public void setMaxThread(int threads)

      Method description
      Parameters:
        `threads` -

    - #### setMaxThreadPerCPU

          public void setMaxThreadPerCPU(int threads)

      Method description
      Parameters:
        `threads` -

Copyright © 2013 Tigase. All rights reserved.